/*
File: DialogDemo.java
Demonstrates the use of dialogs and M/V/C.
*/

import BreezySwing.GBFrame;
import BreezySwing.GBDialog;
import javax.swing.JTextArea;
import javax.swing.JButton;

public class DialogDemo extends GBFrame{
    
    JTextArea outputArea = addTextArea("", 1,1,1,1);
    JButton editBtn = addButton ("Edit", 2,1,1,1);

    private Song song;
   
    public DialogDemo(){
        song = new Song("Hallelujah", "Leonard Cohen", 1.29);
        outputArea.setText (song.toString());
        outputArea.setEditable(false);
        setSize(250, 150);
        setTitle("Dialog Demo");
        setVisible(true);         
    }
   
    public void buttonClicked(JButton buttonObj){
        SongDialog dlg = new SongDialog(this, song);
        dlg.setVisible(true);
        if (dlg.getDlgCloseIndicator().equals("OK"))
            outputArea.setText(song.toString());
    }
     
    public static void main(String[] args){
        GBFrame frm = new DialogDemo();
    }
}
