/*
File: ExamplePanel1.java
Represents a drawing area for drawing ovals
at random positions.
*/

import BreezySwing.GBPanel; 
import java.awt.Graphics;
import java.awt.Color;

public class ExamplePanel1 extends GBPanel{

    private Shape shape;

    public ExamplePanel1(){
        setBackground(Color.black);
    }

    public void paintComponent(Graphics g){
        // Draws an oval at a random position.
        super.paintComponent(g);
        if (shape != null)
            shape.draw(g);
    }

    public void draw(Shape shape){
        this.shape = shape;
        repaint();
    }
}