/*
File: Shape.java
Represents a shape with a draw method.
*/
 
import java.awt.Graphics;

public interface Shape{

    public void draw(Graphics g);
    public boolean containsPoint(int x, int y);
    public void translate(int x, int y);
}