/*
File: layoutdemo2.py
Illustrates label widgets in a 2 by 2 grid, centered
in their grid cells.
*/

import BreezySwing.GBFrame; 
import javax.swing.JLabel;
import java.awt.GridBagConstraints;

public class LayoutDemo2 extends GBFrame{
    /*Displays labels in the quadrants.*/

    private JLabel label1 = addLabel("(1, 1)", 1,1,1,1, 
                                     GridBagConstraints.CENTER);
    private JLabel label2 = addLabel("(1, 2)", 1,2,1,1, 
                                     GridBagConstraints.CENTER);
    private JLabel label3 = addLabel("(2, 1)", 2,1,1,1, 
                                     GridBagConstraints.CENTER);
    private JLabel label4 = addLabel("(2, 2)", 2,2,1,1, 
                                     GridBagConstraints.CENTER);

    public LayoutDemo2(){
        setTitle("Layout Demo 2");
        setSize(200, 100);
        setVisible(true);
    }

    public static void main(String[] args){
        GBFrame theGUI = new LayoutDemo2();
    }
}
