/*
File: layoutdemo3.py
Illustrates label widgets in a 2 by 2 grid with
one widget centered in row 2
*/

import BreezySwing.GBFrame; 
import javax.swing.JLabel;
import java.awt.GridBagConstraints;

public class LayoutDemo3 extends GBFrame{
    /*Displays labels in the quadrants.*/

    private JLabel label1 = addLabel("(1, 1)", 1, 1, 1, 1, 
                                     GridBagConstraints.CENTER);
    private JLabel label2 = addLabel("(1, 2)", 1, 2, 1, 1, 
                                     GridBagConstraints.CENTER);
    private JLabel label3 = addLabel("(2, 1 and 2)", 2, 1, 2, 1, 
                                     GridBagConstraints.CENTER);

    public LayoutDemo3(){
        setTitle("Layout Demo 3");
        setSize(200, 100);
        setVisible(true);
    }

    public static void main(String[] args){
        GBFrame theGUI = new LayoutDemo3();
    }
}
