/*
File: ComboBoxDemo.java
Allows the user to place a restaurant order from a set
of radio button options."""
*/

import BreezySwing.GBFrame;
import javax.swing.JLabel; 
import javax.swing.JButton;
import javax.swing.JComboBox;
import java.awt.GridBagConstraints;

public class ComboBoxDemo extends GBFrame{

    private JLabel meatLbl = addLabel("Meat",        1,1,1,1);
    private JComboBox meatCB = addComboBox(          2,1,1,1);
    private JLabel taterLbl = addLabel("Potato",     1,2,1,1);
    private JComboBox taterCB = addComboBox(         2,2,1,1);
    private JLabel veggieLbl = addLabel("Vegetable", 1,3,1,1);
    private JComboBox veggieCB = addComboBox(        2,3,1,1);
    private JButton orderBtn = addButton("Order",    3,1,3,1);

    public ComboBoxDemo(){
        // Add items to combo boxes.
        meatCB.addItem("Beef");
        meatCB.addItem("Chicken");
        taterCB.addItem("French fries");
        taterCB.addItem("Baked potato");
        veggieCB.addItem("Green beans");
        veggieCB.addItem("Apple sauce");
        setTitle("Combo Box Demo");
        setSize(400, 100);
        setVisible(true);
    }

    public void buttonClicked(JButton button){
        String meat = (String)meatCB.getSelectedItem();
        String tater = (String)taterCB.getSelectedItem();
        String veggie = (String)veggieCB.getSelectedItem();
        String message = meat + "\n" + tater + "\n" + veggie + "\n";
        messageBox("Customer order:\n\n" + message);
    }

    public static void main(String[] args){
        GBFrame theGUI = new ComboBoxDemo();
    }
}