/*
File: Order.java
Models a customer order at a restaurant.
*/

import java.util.Map;
import java.util.HashMap;

public class Order{

    private Map<String, String> items;

    public Order(){
        // Sets up the model.
        items = new HashMap<String, String>();
    }

    public void add(String itemType, String value){
        // Inserts the value of the item type.
        items.put( itemType, value);
    }

    public String toString(){
        // Returns the string rep of the order."""
        String order = "";
        for (String item : items.values())
            order += item + "\n";
        return order;
    }
}
