/*
File: MenuDemo.java
Illustrates the use of drop-down menus.
*/

import BreezySwing.GBFrame;
import javax.swing.JLabel; 
import javax.swing.JMenuItem;
import java.awt.GridBagConstraints;

public class MenuDemo extends GBFrame{

    private JMenuItem newMI = addMenuItem("File", "New");
    private JMenuItem openMI = addMenuItem("File", "Open");
    private JMenuItem saveMI = addMenuItem("File", "Save");
    private JMenuItem clearMI = addMenuItem("Edit", "Clear All");
    private JLabel outputLbl = addLabel("No item selected", 1,1,1,1,
                                        GridBagConstraints.CENTER);

    public MenuDemo(){
        setTitle("Menu Demo");
        setSize(200, 100);
        setVisible(true);
    }

    public void menuItemSelected(JMenuItem menuItem){
        if (menuItem == newMI)
            outputLbl.setText("File/New selected");
        else if (menuItem == openMI)
            outputLbl.setText("File/Open selected");
        else if (menuItem == saveMI)
            outputLbl.setText("File/Save selected");
        else if (menuItem == clearMI)
            outputLbl.setText("Edit/Clear All selected");
    }

    public static void main(String[] args){
        GBFrame theGUI = new MenuDemo();
    }
}