/*
File: Song.java
Represents a song.
*/

import java.io.Serializable;

public class Song implements Serializable{
    /* Models a song. */

    public String title, artist;
    public double price;

    public Song(String title, String artist, double price){
        // Sets up the model.
        this.title = title;
        this.artist = artist;
        this.price = price;
    }

    public String toString(){
        // Returns the string rep of the song.
        return "Title:  " + title + "\n" + 
               "Artist: " + artist + "\n" + 
               "Price:  $" + String.format("%.2f\n", 
                                           price);
    }
}