/*
File: layoutdemo4.py
Illustrates label widgets in a 3 by 3 grid, with all the alignments.
*/

import BreezySwing.GBFrame; 
import javax.swing.JLabel;
import java.awt.GridBagConstraints;

public class LayoutDemo4 extends GBFrame{
    /*Displays labels in all alignments.*/

    private JLabel nwLabel = addLabel("Northwest", 1,1,1,1);
    private JLabel nLabel = addLabel("North", 1,2,1,1, 
                                     GridBagConstraints.NORTH);
    private JLabel nelabel = addLabel("Northeast", 1,3,1,1, 
                                     GridBagConstraints.NORTHEAST);
    private JLabel wLabel = addLabel("West", 2,1,1,1, 
                                     GridBagConstraints.WEST);
    private JLabel cLabel = addLabel("Center", 2,2,1,1, 
                                     GridBagConstraints.CENTER);
    private JLabel elabel = addLabel("East", 2,3,1,1, 
                                     GridBagConstraints.EAST);
    private JLabel swLabel = addLabel("Southwest", 3,1,1,1, 
                                     GridBagConstraints.SOUTHWEST);
    private JLabel sLabel = addLabel("South", 3,2,1,1, 
                                     GridBagConstraints.SOUTH);
    private JLabel selabel = addLabel("Southeast", 3,3,1,1, 
                                     GridBagConstraints.SOUTHEAST);

    public LayoutDemo4(){
        setTitle("Layout Demo 4");
        setSize(300, 300);
        setVisible(true);
    }

    public static void main(String[] args){
        GBFrame theGUI = new LayoutDemo4();
    }
}
