/*
File: TextFieldDemo.java
Converts an  input string to uppercase and displays the result.
*/

import BreezySwing.GBFrame; 
import javax.swing.JLabel;
import javax.swing.JButton;
import javax.swing.JTextField;

public class TextFieldDemo extends GBFrame{

    private JLabel inputLbl = addLabel("Input", 1,1,1,1);
    private JLabel outputLbl = addLabel("Output", 2,1,1,1);
    private JTextField inputFld = addTextField("", 1,2,1,1);
    private JTextField outputFld = addTextField("", 2,2,1,1);
    private JButton convertBtn = addButton("Convert", 3,1,2,1);

    public TextFieldDemo(){
        outputFld.setEditable(false);
        setTitle("Text Field Demo");
        setSize(250, 100);
        setVisible(true);
    }

    public void buttonClicked(JButton button){
        String input = inputFld.getText();
        String output = input.toUpperCase();
        outputFld.setText(output);
    }

    public static void main(String[] args){
        GBFrame theGUI = new TextFieldDemo();
    }
}