/*
File: CheckBoxDemo.java
Allows the user to place a restaurant order from a set
of check box options."""
*/

import BreezySwing.GBFrame; 
import javax.swing.JButton;
import javax.swing.JCheckBox;

public class CheckBoxDemo extends GBFrame{

    private JCheckBox chickCB = addCheckBox("Chicken",      1,1,1,1);
    private JCheckBox taterCB = addCheckBox("French fries", 2,1,1,1);
    private JCheckBox beanCB = addCheckBox("Green beans",   1,2,1,1);
    private JCheckBox sauceCB = addCheckBox("Apple sauce",  2,2,1,1);
    private JButton orderBtn = addButton("Order",           3,1,2,1);

    public CheckBoxDemo(){
        setTitle("Check Box Demo");
        setSize(300, 100);
        setVisible(true);
    }

    public void buttonClicked(JButton button){
        String message = "";
        if (chickCB.isSelected())
            message += "Chicken\n";
        if (taterCB.isSelected())
            message += "French fries\n";
        if (beanCB.isSelected())
            message += "Green beans\n";
        if (sauceCB.isSelected())
            message += "Apple sauce\n";
        if (message.equals(""))
            message = "No food ordered!";
        messageBox("Customer order:\n\n" + message);
    }

    public static void main(String[] args){
        GBFrame theGUI = new CheckBoxDemo();
    }
}